Class: Aws::SageMakerInferenceRouterRuntime::Types::InvokeInferenceRouterOutput

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[:body, :custom_attributes]

Instance Attribute Summary collapse

Instance Attribute Details

#body ⇒ String

The inference that the model returned.

Returns:

  • (String)


276
277
278
279
280
281
282
283
284
285
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 276

class InvokeInferenceRouterOutput < Struct.new(
  :body,
  :content_type,
  :invoked_routed_resource_arn,
  :routing_reason,
  :invoked_production_variant,
  :custom_attributes)
  SENSITIVE = [:body, :custom_attributes]
  include Aws::Structure
end

#content_type ⇒ String

The MIME type of the inference returned in the response body.

Returns:

  • (String)


276
277
278
279
280
281
282
283
284
285
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 276

class InvokeInferenceRouterOutput < Struct.new(
  :body,
  :content_type,
  :invoked_routed_resource_arn,
  :routing_reason,
  :invoked_production_variant,
  :custom_attributes)
  SENSITIVE = [:body, :custom_attributes]
  include Aws::Structure
end

#custom_attributes ⇒ String

Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.

Returns:

  • (String)


276
277
278
279
280
281
282
283
284
285
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 276

class InvokeInferenceRouterOutput < Struct.new(
  :body,
  :content_type,
  :invoked_routed_resource_arn,
  :routing_reason,
  :invoked_production_variant,
  :custom_attributes)
  SENSITIVE = [:body, :custom_attributes]
  include Aws::Structure
end

#invoked_production_variant ⇒ String

The production variant of the destination endpoint that served the request.

Returns:

  • (String)


276
277
278
279
280
281
282
283
284
285
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 276

class InvokeInferenceRouterOutput < Struct.new(
  :body,
  :content_type,
  :invoked_routed_resource_arn,
  :routing_reason,
  :invoked_production_variant,
  :custom_attributes)
  SENSITIVE = [:body, :custom_attributes]
  include Aws::Structure
end

#invoked_routed_resource_arn ⇒ String

The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.

Returns:

  • (String)


276
277
278
279
280
281
282
283
284
285
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 276

class InvokeInferenceRouterOutput < Struct.new(
  :body,
  :content_type,
  :invoked_routed_resource_arn,
  :routing_reason,
  :invoked_production_variant,
  :custom_attributes)
  SENSITIVE = [:body, :custom_attributes]
  include Aws::Structure
end

#routing_reason ⇒ String

The reason that the router chose the destination that served the request. Possible values:

  • local-preferred – The destination is a healthy destination in the router's Region.

  • capacity-available – No destination in the router's Region could take the request, and two or more destinations in other Regions could.

  • only-healthy – No destination in the router's Region could take the request, and exactly one destination in another Region could.

  • failover – The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.

Returns:

  • (String)


276
277
278
279
280
281
282
283
284
285
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 276

class InvokeInferenceRouterOutput < Struct.new(
  :body,
  :content_type,
  :invoked_routed_resource_arn,
  :routing_reason,
  :invoked_production_variant,
  :custom_attributes)
  SENSITIVE = [:body, :custom_attributes]
  include Aws::Structure
end